## imcode.server.parser
Class TestMenuParser

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.server.parser.TestMenuParser

All Implemented Interfaces:
  junit.framework.Test

    public class TestMenuParser

extends junit.framework.TestCase

Constructor Summary
`TestMenuParser()`

Method Summary
`protected void` `setUp()`
`void` `testAdminCanSeeUnpublishedDocumentWhenEditing()`
`void` `testAdminCantSeeUnpublishedDocumentWhenInMenuModeButNotEditingMenu()`
`void` `testAdminCantSeeUnpublishedDocumentWhenNotInMenuModeButEditingMenu()`
`void` `testUserCanSeePublishedDocumentInMenuWithPermissions()`
`void` `testUserCanSeePublishedDocumentsVisibleForUnauthorizedUsers()`
`void` `testUserCantSeePublishedDocumentInMenuWithoutPermissions()`
`void` `testUserCantSeeUnpublishedDocumentInMenuWhenEditing()`
`void` `testUserCantSeeUnpublishedDocumentInMenuWithoutPermissions()`
`void` `testUserCantSeeUnpublishedDocumentInMenuWithPermissions()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestMenuParser

    public TestMenuParser()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testUserCantSeeUnpublishedDocumentInMenuWithoutPermissions

    public void testUserCantSeeUnpublishedDocumentInMenuWithoutPermissions()
                                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUserCantSeePublishedDocumentInMenuWithoutPermissions

    public void testUserCantSeePublishedDocumentInMenuWithoutPermissions()

### testUserCantSeeUnpublishedDocumentInMenuWithPermissions

    public void testUserCantSeeUnpublishedDocumentInMenuWithPermissions()

### testUserCanSeePublishedDocumentInMenuWithPermissions

    public void testUserCanSeePublishedDocumentInMenuWithPermissions()

### testAdminCantSeeUnpublishedDocumentWhenInMenuModeButNotEditingMenu

    public void testAdminCantSeeUnpublishedDocumentWhenInMenuModeButNotEditingMenu()

### testAdminCantSeeUnpublishedDocumentWhenNotInMenuModeButEditingMenu

    public void testAdminCantSeeUnpublishedDocumentWhenNotInMenuModeButEditingMenu()

### testAdminCanSeeUnpublishedDocumentWhenEditing

    public void testAdminCanSeeUnpublishedDocumentWhenEditing()

### testUserCantSeeUnpublishedDocumentInMenuWhenEditing

    public void testUserCantSeeUnpublishedDocumentInMenuWhenEditing()
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUserCanSeePublishedDocumentsVisibleForUnauthorizedUsers

    public void testUserCanSeePublishedDocumentsVisibleForUnauthorizedUsers()